#pragma once

#include "render_data.h"

struct User_Interface {
    f32 frames_per_second = 0.0f;
    f32 averaging_alpha = 0.96f;
};

bool init_user_interface(User_Interface *user_interface, Render_Data *render_data);
void create_user_interface_frame(User_Interface *user_interface, Render_Data *render_data);
void render_user_interface(User_Interface *user_interface);
void cleanup_user_interface(User_Interface *user_interface);
